Package org.bukkit.block

# Interface BlastFurnace

All Superinterfaces:
  `BlockInventoryHolder`, `BlockState`, `Container`, `Furnace`, `InventoryHolder`, `Lockable`, `Metadatable`, `Nameable`, `PersistentDataHolder`, `TileState`

public interface BlastFurnace extends Furnace
Represents a captured state of a blast furnace.

## Method Summary

### Methods inherited from interface org.bukkit.inventory.BlockInventoryHolder

`getBlock`

### Methods inherited from interface org.bukkit.block.BlockState

`getBlock, getBlockData, getChunk, getData, getDrops, getDrops, getDrops, getLightLevel, getLocation, getLocation, getRawData, getType, getWorld, getX, getY, getZ, isCollidable, isPlaced, setBlockData, setData, setRawData, setType, update, update, update`

### Methods inherited from interface org.bukkit.block.Furnace

`getBurnTime, getCookSpeedMultiplier, getCookTime, getCookTimeTotal, getInventory, getRecipesUsed, getRecipeUsedCount, getSnapshotInventory, hasRecipeUsedCount, setBurnTime, setCookSpeedMultiplier, setCookTime, setCookTimeTotal, setRecipesUsed, setRecipeUsedCount`

### Methods inherited from interface org.bukkit.block.Lockable

`getLock, isLocked, setLock`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.Nameable

`customName, customName, getCustomName, setCustomName`

### Methods inherited from interface org.bukkit.block.TileState

`getPersistentDataContainer, isSnapshot`